SDL_SetJoystickVirtualButton(3)

NAME
SDL_SetJoystickVirtualButton - Set values on an opened, virtual-joystick's button.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetJoystickVirtualButton(SDL_Joystick *joystick, int button, Uint8 value);

DESCRIPTION
Please note that values set here will not be applied until the next call to SDL_UpdateJoysticks , which can either be called directly, or can be called indirectly through various other SDL APIs, including, but not limited to the following: SDL_PollEvent , SDL_PumpEvents , SDL_WaitEventTimeout , SDL_WaitEvent .

FUNCTION PARAMETERS

joystick
    the virtual joystick on which to set state.

button
    the specific button on the virtual joystick to set.

value
    the new value for the specified button.

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.